# Method SDL.video_mode_ok()

Method video_mode_ok

  ``int` video_mode_ok(`int` `width`, `int` `height`, `int` `bpp`, `int` `flags`)`

Description

  Checks to see if a particular video mode is supported.

Returns

  Returns 0 if the requested mode isn't supported under any bit depth, or the bits-per-pixel of the closest available mode with the given width, height and SDL.Surface flags.

See also

  SDL.Surface, SDL.set_video_mode(), SDL.get_video_info()